package com.flyer.foster.component;

import cn.dev33.satoken.stp.StpUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

/**
 * mybatisplus插入时间处理
 *
 * @author kelei
 * @since 2022/3/28/16:42
 */
@Component
public class CustomMetaObjectHandler implements MetaObjectHandler {

    @Override
    public void insertFill(MetaObject metaObject) {
        String strObj = JSON.toJSONString(metaObject.getOriginalObject());
        JSONObject jsonObject = JSON.parseObject(strObj);
        if (StrUtil.isBlank(jsonObject.getString("createdBy"))) {
            this.setFieldValByName("createdBy", StpUtil.getLoginId(), metaObject);
        }
        if (StrUtil.isBlank(jsonObject.getString("createdTime"))) {
            this.setFieldValByName("createdTime", LocalDateTime.now(), metaObject);
        }
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        String strObj = JSON.toJSONString(metaObject.getOriginalObject());
        JSONObject jsonObject = JSON.parseObject(strObj);
        if (StrUtil.isBlank(jsonObject.getString("updatedBy"))) {
            this.setFieldValByName("updatedBy", StpUtil.getLoginId(), metaObject);
        }
        if (StrUtil.isBlank(jsonObject.getString("updatedTime"))) {
            this.setFieldValByName("updatedTime", LocalDateTime.now(), metaObject);
        }
    }
}
