package com.flyer.foster.config;

import cn.dev33.satoken.interceptor.SaInterceptor;
import cn.dev33.satoken.router.SaRouter;
import cn.dev33.satoken.stp.StpUtil;
import com.flyer.foster.pojo.StpAppUtil;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * SaTokenConfigure
 *
 * @author kelei
 * @since 2024/5/7/12:12
 */
@Configuration
public class SaTokenConfigure implements WebMvcConfigurer {
    // 注册 Sa-Token 拦截器，打开注解式鉴权功能
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 注册 Sa-Token 拦截器，打开注解式鉴权功能
        registry.addInterceptor(new SaInterceptor(handler -> {
            SaRouter.match("/admin/**")
                    .notMatch("/admin/user/login", "/admin/user/generate-key")
                    .check(r -> StpUtil.checkLogin());

            SaRouter.match("/app/**")
                    .notMatch("/app/user/login")
                    .check(r -> StpAppUtil.checkLogin());


        })).addPathPatterns("/**");
    }
}
