package com.flyer.foster.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.flyer.foster.dto.app.FosterRecordAddDTO;
import com.flyer.foster.entity.FosterRecord;
import com.flyer.foster.mapper.IFosterRecordMapper;
import com.flyer.foster.pojo.StpAppUtil;
import com.flyer.foster.service.IFosterRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 领养记录 服务实现类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
@Service
public class FosterRecordServiceImpl extends ServiceImpl<IFosterRecordMapper, FosterRecord> implements IFosterRecordService {

    @Transactional
    @Override
    public boolean addFosterRecord(FosterRecordAddDTO addDTO) {
        int tenantId = StpAppUtil.getTokenSession().getInt("tenantId");
        FosterRecord fosterRecord = new FosterRecord();
        BeanUtil.copyProperties(addDTO, fosterRecord);
        fosterRecord.setTenantId(tenantId);
        return this.save(fosterRecord);
    }
}
